NX Open C++ Reference Guide
|
Represents a Annotations::AssociativityBuilder
To create a new instance of this class, use Annotations::AnnotationManager::CreateAssociativityBuilder
Created in NX5.0.0.
More...
Public Member Functions | |
double | Angle () |
Returns the angle Created in NX5.0.0. | |
NXOpen::Annotations::AssociativityLineOption | LineOption () |
Returns the line option Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | SelectObject () |
Returns the select object Created in NX5.0.0. | |
void | SetAngle (double angle) |
Sets the angle Created in NX5.0.0. | |
void | SetLineOption (NXOpen::Annotations::AssociativityLineOption lineOption) |
Sets the line option Created in NX5.0.0. | |
NXOpen::SelectDisplayableObjectList * | Vector () |
Returns the vector Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Annotations::AssociativityBuilder
To create a new instance of this class, use Annotations::AnnotationManager::CreateAssociativityBuilder
Created in NX5.0.0.
double NXOpen::Annotations::AssociativityBuilder::Angle | ( | ) |
Returns the angle
Created in NX5.0.0.
License requirements : None
NXOpen::Annotations::AssociativityLineOption NXOpen::Annotations::AssociativityBuilder::LineOption | ( | ) |
Returns the line option
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Annotations::AssociativityBuilder::SelectObject | ( | ) |
Returns the select object
Created in NX5.0.0.
License requirements : None
void NXOpen::Annotations::AssociativityBuilder::SetAngle | ( | double | angle | ) |
Sets the angle
Created in NX5.0.0.
License requirements : drafting ("DRAFTING") OR geometric_tol ("GDT")
angle | angle |
void NXOpen::Annotations::AssociativityBuilder::SetLineOption | ( | NXOpen::Annotations::AssociativityLineOption | lineOption | ) |
Sets the line option
Created in NX5.0.0.
License requirements : drafting ("DRAFTING") OR geometric_tol ("GDT")
lineOption | lineoption |
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::AssociativityBuilder::Vector | ( | ) |
Returns the vector
Created in NX5.0.0.
License requirements : None